# Created by pyp2rpm-3.3.8
%global pypi_name prompy
%global pypi_version 1.3.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        prompy

License:        MIT
URL:            https://github.com/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 prompy is a library developed as an assisting tool for writing scripts to be
executed by the ProM CLI. The ProM CLI is the commandline interface variant of
ProM, which is on its own a GUI based extensible framework that supports a wide
variety of process mining techniques. prompy is always used in combination with
ProM, hence this should be installed beforehand, which can be done from its...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 prompy is a library developed as an assisting tool for writing scripts to be
executed by the ProM CLI. The ProM CLI is the commandline interface variant of
ProM, which is on its own a GUI based extensible framework that supports a wide
variety of process mining techniques. prompy is always used in combination with
ProM, hence this should be installed beforehand, which can be done from its...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Mar 25 2022 mockbuilder - 1.3.0-1
- Initial package.